org.eclipse.rdf4j.http.client

## Interface SessionManagerDependent

- All Superinterfaces:
    SesameClientDependent
  All Known Implementing Classes:
    FederatedServiceResolverImpl, Federation, FedXRepository, FedXRepositoryConnection, HTTPRepository, SailRepository, SailRepositoryConnection, SPARQLRepository, SPARQLServiceResolver

      public interface SessionManagerDependent
      extends SesameClientDependent

  Common interface for objects, such as Repository and RepositoryConnection, that are dependent on `HttpClientSessionManager`.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpClientSessionManager` | `getHttpClientSessionManager()` `HttpClientSessionManager` that has been assigned or has been used by this object.
    `void` | `setHttpClientSessionManager(HttpClientSessionManager client)` Assign an `HttpClientSessionManager` that this object should use.

    - ### Methods inherited from interface org.eclipse.rdf4j.http.client.SesameClientDependent

      `getSesameClient, setSesameClient`

- - ### Method Detail

    - #### getHttpClientSessionManager

          HttpClientSessionManager getHttpClientSessionManager()

      `HttpClientSessionManager` that has been assigned or has been used by this object. The life cycle might not be or might be tied to this object, depending on whether `HttpClientSessionManager` was passed to or created by this object respectively.
      Specified by:
        `getHttpClientSessionManager` in interface `SesameClientDependent`
      Returns:
        a `HttpClientSessionManager` instance or null

    - #### setHttpClientSessionManager

          void setHttpClientSessionManager(HttpClientSessionManager client)

      Assign an `HttpClientSessionManager` that this object should use. The life cycle of the given `HttpClientSessionManager` is independent of this object. Closing or shutting down this object does not have any impact on the given client. Callers must ensure that the given client is properly closed elsewhere.
      Specified by:
        `setHttpClientSessionManager` in interface `SesameClientDependent`
      Parameters:
        `client` -

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.